# Interface AttachmentInfo

An attachment info object from an ArcGIS server.

interface AttachmentInfo {
contentType?: string;
id?: number;
name?: string;
size?: number;
url?: string;
}

#####
Index

### Properties

contentType?
id?
name?
size?
url?

##
Properties

### `Optional` contentType

contentType?: string

The MIME content type of the attachment, e.g. "application/pdf".

### `Optional` id

id?: number

Id of the attachment.

### `Optional` name

name?: string

The name of the attachment.

### `Optional` size

size?: number

The size of the attachment in bytes.

### `Optional` url

url?: string

The URL of the attachment.